Class | Fog::Compute::Brightbox::Servers
In: | lib/fog/brightbox/models/compute/servers.rb
Parent: | Fog::Collection

### Methods

all bootstrap get

### Public Instance methods

all()
bootstrap(options = {})

Creates a server and maps an Cloud IP

By default the public SSH key you have registered with Brightbox is already made available in an AWS compatible metdata service.

@todo Support uploading of arbitary SSH keys

@param [Hash] options @option options [String] name Name for the server @option options [String] flavor_id Identifier for virtual hardware type to request @option options [String] image_id Identifier for image to use when creating @option options [String] zone_id Identifer for preferred zone to locate server in @option options [Array<String>] server_groups List of group identifiers for the server to join

@return Fog::Compute::Brightbox::Server

get(identifier)

[Validate]